Skip to main content
GET
/
v1
/
personas
/
{persona_id}
/
generated-posts
List generated posts
curl --request GET \
  --url https://reelmirror.com/api/v1/personas/{persona_id}/generated-posts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "persona_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_post_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "pending",
      "caption": "<string>",
      "media_items": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "media_type": "image",
          "position": 123,
          "status": "pending",
          "url": "<string>",
          "is_public": true,
          "discount_applied": true,
          "voice_conversion_status": "<string>",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123
}

Authorizations

Authorization
string
header
required

API key (rm_xxx) or JWT token

Path Parameters

persona_id
string
required

Query Parameters

limit
integer
default:20

Maximum number of results to return

Required range: x <= 100
offset
integer
default:0

Number of results to skip

Response

200 - application/json

List of generated posts

data
object[]
count
integer